Subject: Fwd: Several Sieve Questions

From: Doug Friend <[email-masked]>
Date: Thu, 13 Dec 2001 20:04:23 -0500 (EST)

Hi Paul,

Any idea what this email reached me.  The last hop after
[email-masked] was to my email address, and I'm not related to this
domain (at least that I know of).  

Thanks,

Doug.

----- Forwarded message from "Esh, Thomas D (Tom)" <[email-masked]> -----
Date: Thu, 13 Dec 2001 14:23:00 -0500
From: "Esh, Thomas D (Tom)" <[email-masked]>
Reply-To: "Esh, Thomas D (Tom)" <[email-masked]>
Subject: Several Sieve Questions
To: "[email-masked]'" <[email-masked]>

Hi,

I'm relatively new to the mail filtering area and I have
a few questions regarding Sieve and it's extensions.  I would
appreciate any insight that people can provide to the questions:

1. How does server filtering work on the Bcc: field?  My understanding
   is the Bcc: field is not put into the message body, but that recipients
   specified in the Bcc: line are put on the envelope rcpt-to list.

   Doesn't filtering based on bcc: and envelope rcpt-to violate the
intention
   of the msg originator in specifying the bcc: field?

   For example, I could set up a filter to check if my boss was included in
either
   the bcc: header or the rcpt-to line, thus providing me information that
the msg
   originator purposely intended to hide from me.

2. Can you filter based on mime component types in Sieve?  I read most of
the RFCs
   and draft extensions and I didn't see anything that seemed to allow this.

   For example, I want to set up a filter to file all messages with a mime
component
   of image/tiff to a particular folder.  How do I do it in Sieve?

3. Can you filter based on msg receive (or sent) time in Sieve?  Once again,
I didn't
   see anything in the rfc about this.   This ability combined with the
vacation
   extension would allow users to set up vacation filters in advance of
   their vacations and when combined with the proposed notification
extension would allow
   users to specify different notification rules for messages that are
received during work
   and out-of-work hours.

Thanks
Tom

Thomas D. Esh
3B-316
614-860-3698
[email-masked]

----- End forwarded message -----